Update Agent Config
curl --request POST \
--url https://services.staging.app.dados.rio/eai-agent/api/v1/agent-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_type": "agentic_search",
"memory_blocks": [
{}
],
"tools": [
"<string>"
],
"model_name": "<string>",
"embedding_name": "<string>",
"metadata": {}
}
'import requests
url = "https://services.staging.app.dados.rio/eai-agent/api/v1/agent-config"
payload = {
"agent_type": "agentic_search",
"memory_blocks": [{}],
"tools": ["<string>"],
"model_name": "<string>",
"embedding_name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_type: 'agentic_search',
memory_blocks: [{}],
tools: ['<string>'],
model_name: '<string>',
embedding_name: '<string>',
metadata: {}
})
};
fetch('https://services.staging.app.dados.rio/eai-agent/api/v1/agent-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"config_id": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Config
Update Agent Config
Atualiza a configuração do agente no banco de dados.
POST
/
api
/
v1
/
agent-config
Update Agent Config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Tipo do agente
Memory blocks personalizados
Lista de ferramentas
Nome do modelo LLM
Nome do modelo de embedding
Metadados adicionais (autor, motivo, etc.)
⌘I
